Subject: Re: TREE BOOK?

From: [email-masked] (Rob King)
Date: 26 Dec 1994 07:41:12 -0600

J>>Can anyone give me any ideas for a "TREE" book?
 >>We have moved to a new house and have several trees that aren't
 >>familar to us. My husband said that he wanted a "TREE" book, like
 >>a BIRD book...

A little late for Christmas this year... but the best all-around tree
guide has to be "Trees of North America" by Golden Press.  Color
illustrations are hard to beat.  An excellent value at $4 <6 years ago>

For more detailed work, the Peterson Field Guide Series "Guide to Trees
and Shrubs" would be a good choice... perhaps a little too technically
involved for the novice who wants to key a species mostly from pictures,
tho.  Peterson's is not full-color, either.

Rob.

---
 * QMPro 1.53 * ------>---->--->-->->> [email-masked] <<-<--<---<-----